Subject: bug#55770: 29.0.50; Feature Request: Hook When battery transitions to low or critical

From: "T.V Raman" <[email-masked]>
Date: Thu, 02 Jun 2022 09:32:09 -0700

From: Eli Zaretskii <[email-masked]>
To: "T.V Raman" <[email-masked]>
Subject: Re: battery.el: Add option to play a sound when battery hits
 critical?
Date: Thu, 02 Jun 2022 19:28:01 +0300
Cc: [email-masked]

> Date: Thu, 02 Jun 2022 08:42:48 -0700
> From: "T.V Raman" <[email-masked]>
> 
> Subject line almost says it all:
> 
> battery.el can change the face used to display battery status in the
> modeline. 
> 
> Could we also have a defcustom that makes an auditory alert that is
> configurable when it transitions from normal to low and low to
> critical?

Maybe we should have a hook that would be run by the battery.el's
timer function, then you could write a hook function to do whatever
you want, including playing a sound.

Suggest to file a feature request bug report about this.

-- 

Thanks,

--Raman(I Search, I Find, I Misplace, I Research)
♉ Id: kg:/m/0285kf1  🦮